Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 529956 (CVE-2014-9018) - <net-misc/icecast-2.4.1: possible leak of on-connect scripts (CVE-2014-9018)
Summary: <net-misc/icecast-2.4.1: possible leak of on-connect scripts (CVE-2014-9018)
Status: RESOLVED FIXED
Alias: CVE-2014-9018
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B4 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-20 13:49 UTC by Agostino Sarubbo
Modified: 2014-12-26 01:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-11-20 13:49:57 UTC
From ${URL} :

It was reported that Icecast could possibly leak the contents of on-connect scripts, which may 
contain sensitive information. This issue has been fixed in the 2.4.1 release:

"Fix on-connect and on-disconnect script STDIN/STDOUT/STDERR corruption due to shared file 
descriptors."

References:
https://trac.xiph.org/changeset/19312
https://trac.xiph.org/attachment/ticket/2087/env-nofeature.patch
https://trac.xiph.org/ticket/2089
http://icecast.org/news/icecast-release-2_4_1/


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2014-11-20 17:03:04 UTC
+*icecast-2.4.1 (20 Nov 2014)
+
+  20 Nov 2014; Lars Wendler <polynomial-c@gentoo.org> +icecast-2.4.1.ebuild,
+  files/icecast.xml:
+  Security bump (bug #529956) with kind permission by hwoarang.
+

Arches please test and mark stable =net-misc/icecast-2.4.1 with target KEYWORDS:

amd64 ppc ppc64 x86 ~x86-fbsd
Comment 2 Agostino Sarubbo gentoo-dev 2014-11-23 14:54:05 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2014-11-23 14:54:19 UTC
x86 stable
Comment 4 Agostino Sarubbo gentoo-dev 2014-11-29 13:30:03 UTC
ppc64 stable
Comment 5 Agostino Sarubbo gentoo-dev 2014-12-03 09:58:05 UTC
ppc stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2014-12-06 09:37:17 UTC
+  06 Dec 2014; Lars Wendler <polynomial-c@gentoo.org> -icecast-2.3.3-r2.ebuild,
+  -icecast-2.3.3-r3.ebuild, -icecast-2.4.0.ebuild, -files/init.d.icecast,
+  metadata.xml:
+  Removed vulnerable versions. Took over maintenance.
+
Comment 7 Yury German Gentoo Infrastructure gentoo-dev 2014-12-12 05:27:21 UTC
Arches and Mainter(s), Thank you for your work.

Added to an existing GLSA request.
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2014-12-24 21:35:16 UTC
CVE-2014-9018 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9018):
  Icecast before 2.4.1 transmits the output of the on-connect script, which
  might allow remote attackers to obtain sensitive information, related to
  shared file descriptors.
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2014-12-26 01:11:00 UTC
This issue was resolved and addressed in
 GLSA 201412-38 at http://security.gentoo.org/glsa/glsa-201412-38.xml
by GLSA coordinator Sean Amoss (ackle).